/**
 * <copyright>
 * </copyright>
 *
 * $Id: VerhaltenDoTypImpl.java,v 1.1 2012/12/21 10:45:58 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp;

import de.bsvrz.buv.plugin.dobj.model.impl.ConfiguratedDoTypImpl;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Verhalten Do Typ</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdIstZustand <em>Kontext Menue Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdSollZustand <em>Kontext Menue Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdHandSchaltung <em>Kontext Menue Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdSimulation <em>Kontext Menue Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdTrichter <em>Kontext Menue Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getKontextMenueIdParameter <em>Kontext Menue Id Parameter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdIstZustand <em>Doppel Klick Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdSollZustand <em>Doppel Klick Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdHandSchaltung <em>Doppel Klick Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdSimulation <em>Doppel Klick Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdTrichter <em>Doppel Klick Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getDoppelKlickIdParameter <em>Doppel Klick Id Parameter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdIstZustand <em>Tool Tip Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdSollZustand <em>Tool Tip Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdHandSchaltung <em>Tool Tip Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdSimulation <em>Tool Tip Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdTrichter <em>Tool Tip Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.VerhaltenDoTypImpl#getToolTipIdParameter <em>Tool Tip Id Parameter</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class VerhaltenDoTypImpl extends ConfiguratedDoTypImpl implements VerhaltenDoTyp
{
  /**
   * The default value of the '{@link #getKontextMenueIdIstZustand() <em>Kontext Menue Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdIstZustand()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_IST_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdIstZustand() <em>Kontext Menue Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdIstZustand()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdIstZustand = KONTEXT_MENUE_ID_IST_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getKontextMenueIdSollZustand() <em>Kontext Menue Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdSollZustand()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_SOLL_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdSollZustand() <em>Kontext Menue Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdSollZustand()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdSollZustand = KONTEXT_MENUE_ID_SOLL_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getKontextMenueIdHandSchaltung() <em>Kontext Menue Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_HAND_SCHALTUNG_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdHandSchaltung() <em>Kontext Menue Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdHandSchaltung = KONTEXT_MENUE_ID_HAND_SCHALTUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getKontextMenueIdSimulation() <em>Kontext Menue Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdSimulation()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_SIMULATION_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdSimulation() <em>Kontext Menue Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdSimulation()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdSimulation = KONTEXT_MENUE_ID_SIMULATION_EDEFAULT;

  /**
   * The default value of the '{@link #getKontextMenueIdTrichter() <em>Kontext Menue Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdTrichter()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_TRICHTER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdTrichter() <em>Kontext Menue Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdTrichter()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdTrichter = KONTEXT_MENUE_ID_TRICHTER_EDEFAULT;

  /**
   * The default value of the '{@link #getKontextMenueIdParameter() <em>Kontext Menue Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdParameter()
   * @generated
   * @ordered
   */
  protected static final String KONTEXT_MENUE_ID_PARAMETER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKontextMenueIdParameter() <em>Kontext Menue Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontextMenueIdParameter()
   * @generated
   * @ordered
   */
  protected String kontextMenueIdParameter = KONTEXT_MENUE_ID_PARAMETER_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdIstZustand() <em>Doppel Klick Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdIstZustand()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_IST_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdIstZustand() <em>Doppel Klick Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdIstZustand()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdIstZustand = DOPPEL_KLICK_ID_IST_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdSollZustand() <em>Doppel Klick Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdSollZustand()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_SOLL_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdSollZustand() <em>Doppel Klick Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdSollZustand()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdSollZustand = DOPPEL_KLICK_ID_SOLL_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdHandSchaltung() <em>Doppel Klick Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_HAND_SCHALTUNG_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdHandSchaltung() <em>Doppel Klick Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdHandSchaltung = DOPPEL_KLICK_ID_HAND_SCHALTUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdSimulation() <em>Doppel Klick Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdSimulation()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_SIMULATION_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdSimulation() <em>Doppel Klick Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdSimulation()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdSimulation = DOPPEL_KLICK_ID_SIMULATION_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdTrichter() <em>Doppel Klick Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdTrichter()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_TRICHTER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdTrichter() <em>Doppel Klick Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdTrichter()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdTrichter = DOPPEL_KLICK_ID_TRICHTER_EDEFAULT;

  /**
   * The default value of the '{@link #getDoppelKlickIdParameter() <em>Doppel Klick Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdParameter()
   * @generated
   * @ordered
   */
  protected static final String DOPPEL_KLICK_ID_PARAMETER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDoppelKlickIdParameter() <em>Doppel Klick Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDoppelKlickIdParameter()
   * @generated
   * @ordered
   */
  protected String doppelKlickIdParameter = DOPPEL_KLICK_ID_PARAMETER_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdIstZustand() <em>Tool Tip Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdIstZustand()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_IST_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdIstZustand() <em>Tool Tip Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdIstZustand()
   * @generated
   * @ordered
   */
  protected String toolTipIdIstZustand = TOOL_TIP_ID_IST_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdSollZustand() <em>Tool Tip Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdSollZustand()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_SOLL_ZUSTAND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdSollZustand() <em>Tool Tip Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdSollZustand()
   * @generated
   * @ordered
   */
  protected String toolTipIdSollZustand = TOOL_TIP_ID_SOLL_ZUSTAND_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdHandSchaltung() <em>Tool Tip Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_HAND_SCHALTUNG_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdHandSchaltung() <em>Tool Tip Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdHandSchaltung()
   * @generated
   * @ordered
   */
  protected String toolTipIdHandSchaltung = TOOL_TIP_ID_HAND_SCHALTUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdSimulation() <em>Tool Tip Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdSimulation()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_SIMULATION_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdSimulation() <em>Tool Tip Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdSimulation()
   * @generated
   * @ordered
   */
  protected String toolTipIdSimulation = TOOL_TIP_ID_SIMULATION_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdTrichter() <em>Tool Tip Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdTrichter()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_TRICHTER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdTrichter() <em>Tool Tip Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdTrichter()
   * @generated
   * @ordered
   */
  protected String toolTipIdTrichter = TOOL_TIP_ID_TRICHTER_EDEFAULT;

  /**
   * The default value of the '{@link #getToolTipIdParameter() <em>Tool Tip Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdParameter()
   * @generated
   * @ordered
   */
  protected static final String TOOL_TIP_ID_PARAMETER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getToolTipIdParameter() <em>Tool Tip Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getToolTipIdParameter()
   * @generated
   * @ordered
   */
  protected String toolTipIdParameter = TOOL_TIP_ID_PARAMETER_EDEFAULT;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected VerhaltenDoTypImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return AnlagendarstellungPackage.Literals.VERHALTEN_DO_TYP;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdIstZustand()
  {
    return kontextMenueIdIstZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdIstZustand(String newKontextMenueIdIstZustand)
  {
    String oldKontextMenueIdIstZustand = kontextMenueIdIstZustand;
    kontextMenueIdIstZustand = newKontextMenueIdIstZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND, oldKontextMenueIdIstZustand, kontextMenueIdIstZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdSollZustand()
  {
    return kontextMenueIdSollZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdSollZustand(String newKontextMenueIdSollZustand)
  {
    String oldKontextMenueIdSollZustand = kontextMenueIdSollZustand;
    kontextMenueIdSollZustand = newKontextMenueIdSollZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND, oldKontextMenueIdSollZustand, kontextMenueIdSollZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdHandSchaltung()
  {
    return kontextMenueIdHandSchaltung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdHandSchaltung(String newKontextMenueIdHandSchaltung)
  {
    String oldKontextMenueIdHandSchaltung = kontextMenueIdHandSchaltung;
    kontextMenueIdHandSchaltung = newKontextMenueIdHandSchaltung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG, oldKontextMenueIdHandSchaltung, kontextMenueIdHandSchaltung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdSimulation()
  {
    return kontextMenueIdSimulation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdSimulation(String newKontextMenueIdSimulation)
  {
    String oldKontextMenueIdSimulation = kontextMenueIdSimulation;
    kontextMenueIdSimulation = newKontextMenueIdSimulation;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION, oldKontextMenueIdSimulation, kontextMenueIdSimulation));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdTrichter()
  {
    return kontextMenueIdTrichter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdTrichter(String newKontextMenueIdTrichter)
  {
    String oldKontextMenueIdTrichter = kontextMenueIdTrichter;
    kontextMenueIdTrichter = newKontextMenueIdTrichter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER, oldKontextMenueIdTrichter, kontextMenueIdTrichter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKontextMenueIdParameter()
  {
    return kontextMenueIdParameter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontextMenueIdParameter(String newKontextMenueIdParameter)
  {
    String oldKontextMenueIdParameter = kontextMenueIdParameter;
    kontextMenueIdParameter = newKontextMenueIdParameter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER, oldKontextMenueIdParameter, kontextMenueIdParameter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdIstZustand()
  {
    return doppelKlickIdIstZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdIstZustand(String newDoppelKlickIdIstZustand)
  {
    String oldDoppelKlickIdIstZustand = doppelKlickIdIstZustand;
    doppelKlickIdIstZustand = newDoppelKlickIdIstZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND, oldDoppelKlickIdIstZustand, doppelKlickIdIstZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdSollZustand()
  {
    return doppelKlickIdSollZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdSollZustand(String newDoppelKlickIdSollZustand)
  {
    String oldDoppelKlickIdSollZustand = doppelKlickIdSollZustand;
    doppelKlickIdSollZustand = newDoppelKlickIdSollZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND, oldDoppelKlickIdSollZustand, doppelKlickIdSollZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdHandSchaltung()
  {
    return doppelKlickIdHandSchaltung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdHandSchaltung(String newDoppelKlickIdHandSchaltung)
  {
    String oldDoppelKlickIdHandSchaltung = doppelKlickIdHandSchaltung;
    doppelKlickIdHandSchaltung = newDoppelKlickIdHandSchaltung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG, oldDoppelKlickIdHandSchaltung, doppelKlickIdHandSchaltung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdSimulation()
  {
    return doppelKlickIdSimulation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdSimulation(String newDoppelKlickIdSimulation)
  {
    String oldDoppelKlickIdSimulation = doppelKlickIdSimulation;
    doppelKlickIdSimulation = newDoppelKlickIdSimulation;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION, oldDoppelKlickIdSimulation, doppelKlickIdSimulation));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdTrichter()
  {
    return doppelKlickIdTrichter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdTrichter(String newDoppelKlickIdTrichter)
  {
    String oldDoppelKlickIdTrichter = doppelKlickIdTrichter;
    doppelKlickIdTrichter = newDoppelKlickIdTrichter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER, oldDoppelKlickIdTrichter, doppelKlickIdTrichter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDoppelKlickIdParameter()
  {
    return doppelKlickIdParameter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDoppelKlickIdParameter(String newDoppelKlickIdParameter)
  {
    String oldDoppelKlickIdParameter = doppelKlickIdParameter;
    doppelKlickIdParameter = newDoppelKlickIdParameter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER, oldDoppelKlickIdParameter, doppelKlickIdParameter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdIstZustand()
  {
    return toolTipIdIstZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdIstZustand(String newToolTipIdIstZustand)
  {
    String oldToolTipIdIstZustand = toolTipIdIstZustand;
    toolTipIdIstZustand = newToolTipIdIstZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND, oldToolTipIdIstZustand, toolTipIdIstZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdSollZustand()
  {
    return toolTipIdSollZustand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdSollZustand(String newToolTipIdSollZustand)
  {
    String oldToolTipIdSollZustand = toolTipIdSollZustand;
    toolTipIdSollZustand = newToolTipIdSollZustand;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND, oldToolTipIdSollZustand, toolTipIdSollZustand));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdHandSchaltung()
  {
    return toolTipIdHandSchaltung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdHandSchaltung(String newToolTipIdHandSchaltung)
  {
    String oldToolTipIdHandSchaltung = toolTipIdHandSchaltung;
    toolTipIdHandSchaltung = newToolTipIdHandSchaltung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG, oldToolTipIdHandSchaltung, toolTipIdHandSchaltung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdSimulation()
  {
    return toolTipIdSimulation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdSimulation(String newToolTipIdSimulation)
  {
    String oldToolTipIdSimulation = toolTipIdSimulation;
    toolTipIdSimulation = newToolTipIdSimulation;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION, oldToolTipIdSimulation, toolTipIdSimulation));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdTrichter()
  {
    return toolTipIdTrichter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdTrichter(String newToolTipIdTrichter)
  {
    String oldToolTipIdTrichter = toolTipIdTrichter;
    toolTipIdTrichter = newToolTipIdTrichter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER, oldToolTipIdTrichter, toolTipIdTrichter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getToolTipIdParameter()
  {
    return toolTipIdParameter;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setToolTipIdParameter(String newToolTipIdParameter)
  {
    String oldToolTipIdParameter = toolTipIdParameter;
    toolTipIdParameter = newToolTipIdParameter;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER, oldToolTipIdParameter, toolTipIdParameter));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND:
        return getKontextMenueIdIstZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND:
        return getKontextMenueIdSollZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG:
        return getKontextMenueIdHandSchaltung();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION:
        return getKontextMenueIdSimulation();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER:
        return getKontextMenueIdTrichter();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER:
        return getKontextMenueIdParameter();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND:
        return getDoppelKlickIdIstZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND:
        return getDoppelKlickIdSollZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG:
        return getDoppelKlickIdHandSchaltung();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION:
        return getDoppelKlickIdSimulation();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER:
        return getDoppelKlickIdTrichter();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER:
        return getDoppelKlickIdParameter();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND:
        return getToolTipIdIstZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND:
        return getToolTipIdSollZustand();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG:
        return getToolTipIdHandSchaltung();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION:
        return getToolTipIdSimulation();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER:
        return getToolTipIdTrichter();
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER:
        return getToolTipIdParameter();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND:
        setKontextMenueIdIstZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND:
        setKontextMenueIdSollZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG:
        setKontextMenueIdHandSchaltung((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION:
        setKontextMenueIdSimulation((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER:
        setKontextMenueIdTrichter((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER:
        setKontextMenueIdParameter((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND:
        setDoppelKlickIdIstZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND:
        setDoppelKlickIdSollZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG:
        setDoppelKlickIdHandSchaltung((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION:
        setDoppelKlickIdSimulation((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER:
        setDoppelKlickIdTrichter((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER:
        setDoppelKlickIdParameter((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND:
        setToolTipIdIstZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND:
        setToolTipIdSollZustand((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG:
        setToolTipIdHandSchaltung((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION:
        setToolTipIdSimulation((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER:
        setToolTipIdTrichter((String)newValue);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER:
        setToolTipIdParameter((String)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND:
        setKontextMenueIdIstZustand(KONTEXT_MENUE_ID_IST_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND:
        setKontextMenueIdSollZustand(KONTEXT_MENUE_ID_SOLL_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG:
        setKontextMenueIdHandSchaltung(KONTEXT_MENUE_ID_HAND_SCHALTUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION:
        setKontextMenueIdSimulation(KONTEXT_MENUE_ID_SIMULATION_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER:
        setKontextMenueIdTrichter(KONTEXT_MENUE_ID_TRICHTER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER:
        setKontextMenueIdParameter(KONTEXT_MENUE_ID_PARAMETER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND:
        setDoppelKlickIdIstZustand(DOPPEL_KLICK_ID_IST_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND:
        setDoppelKlickIdSollZustand(DOPPEL_KLICK_ID_SOLL_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG:
        setDoppelKlickIdHandSchaltung(DOPPEL_KLICK_ID_HAND_SCHALTUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION:
        setDoppelKlickIdSimulation(DOPPEL_KLICK_ID_SIMULATION_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER:
        setDoppelKlickIdTrichter(DOPPEL_KLICK_ID_TRICHTER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER:
        setDoppelKlickIdParameter(DOPPEL_KLICK_ID_PARAMETER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND:
        setToolTipIdIstZustand(TOOL_TIP_ID_IST_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND:
        setToolTipIdSollZustand(TOOL_TIP_ID_SOLL_ZUSTAND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG:
        setToolTipIdHandSchaltung(TOOL_TIP_ID_HAND_SCHALTUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION:
        setToolTipIdSimulation(TOOL_TIP_ID_SIMULATION_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER:
        setToolTipIdTrichter(TOOL_TIP_ID_TRICHTER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER:
        setToolTipIdParameter(TOOL_TIP_ID_PARAMETER_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND:
        return KONTEXT_MENUE_ID_IST_ZUSTAND_EDEFAULT == null ? kontextMenueIdIstZustand != null : !KONTEXT_MENUE_ID_IST_ZUSTAND_EDEFAULT.equals(kontextMenueIdIstZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND:
        return KONTEXT_MENUE_ID_SOLL_ZUSTAND_EDEFAULT == null ? kontextMenueIdSollZustand != null : !KONTEXT_MENUE_ID_SOLL_ZUSTAND_EDEFAULT.equals(kontextMenueIdSollZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG:
        return KONTEXT_MENUE_ID_HAND_SCHALTUNG_EDEFAULT == null ? kontextMenueIdHandSchaltung != null : !KONTEXT_MENUE_ID_HAND_SCHALTUNG_EDEFAULT.equals(kontextMenueIdHandSchaltung);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION:
        return KONTEXT_MENUE_ID_SIMULATION_EDEFAULT == null ? kontextMenueIdSimulation != null : !KONTEXT_MENUE_ID_SIMULATION_EDEFAULT.equals(kontextMenueIdSimulation);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER:
        return KONTEXT_MENUE_ID_TRICHTER_EDEFAULT == null ? kontextMenueIdTrichter != null : !KONTEXT_MENUE_ID_TRICHTER_EDEFAULT.equals(kontextMenueIdTrichter);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER:
        return KONTEXT_MENUE_ID_PARAMETER_EDEFAULT == null ? kontextMenueIdParameter != null : !KONTEXT_MENUE_ID_PARAMETER_EDEFAULT.equals(kontextMenueIdParameter);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND:
        return DOPPEL_KLICK_ID_IST_ZUSTAND_EDEFAULT == null ? doppelKlickIdIstZustand != null : !DOPPEL_KLICK_ID_IST_ZUSTAND_EDEFAULT.equals(doppelKlickIdIstZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND:
        return DOPPEL_KLICK_ID_SOLL_ZUSTAND_EDEFAULT == null ? doppelKlickIdSollZustand != null : !DOPPEL_KLICK_ID_SOLL_ZUSTAND_EDEFAULT.equals(doppelKlickIdSollZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG:
        return DOPPEL_KLICK_ID_HAND_SCHALTUNG_EDEFAULT == null ? doppelKlickIdHandSchaltung != null : !DOPPEL_KLICK_ID_HAND_SCHALTUNG_EDEFAULT.equals(doppelKlickIdHandSchaltung);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION:
        return DOPPEL_KLICK_ID_SIMULATION_EDEFAULT == null ? doppelKlickIdSimulation != null : !DOPPEL_KLICK_ID_SIMULATION_EDEFAULT.equals(doppelKlickIdSimulation);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER:
        return DOPPEL_KLICK_ID_TRICHTER_EDEFAULT == null ? doppelKlickIdTrichter != null : !DOPPEL_KLICK_ID_TRICHTER_EDEFAULT.equals(doppelKlickIdTrichter);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER:
        return DOPPEL_KLICK_ID_PARAMETER_EDEFAULT == null ? doppelKlickIdParameter != null : !DOPPEL_KLICK_ID_PARAMETER_EDEFAULT.equals(doppelKlickIdParameter);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND:
        return TOOL_TIP_ID_IST_ZUSTAND_EDEFAULT == null ? toolTipIdIstZustand != null : !TOOL_TIP_ID_IST_ZUSTAND_EDEFAULT.equals(toolTipIdIstZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND:
        return TOOL_TIP_ID_SOLL_ZUSTAND_EDEFAULT == null ? toolTipIdSollZustand != null : !TOOL_TIP_ID_SOLL_ZUSTAND_EDEFAULT.equals(toolTipIdSollZustand);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG:
        return TOOL_TIP_ID_HAND_SCHALTUNG_EDEFAULT == null ? toolTipIdHandSchaltung != null : !TOOL_TIP_ID_HAND_SCHALTUNG_EDEFAULT.equals(toolTipIdHandSchaltung);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION:
        return TOOL_TIP_ID_SIMULATION_EDEFAULT == null ? toolTipIdSimulation != null : !TOOL_TIP_ID_SIMULATION_EDEFAULT.equals(toolTipIdSimulation);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER:
        return TOOL_TIP_ID_TRICHTER_EDEFAULT == null ? toolTipIdTrichter != null : !TOOL_TIP_ID_TRICHTER_EDEFAULT.equals(toolTipIdTrichter);
      case AnlagendarstellungPackage.VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER:
        return TOOL_TIP_ID_PARAMETER_EDEFAULT == null ? toolTipIdParameter != null : !TOOL_TIP_ID_PARAMETER_EDEFAULT.equals(toolTipIdParameter);
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (KontextMenueIdIstZustand: ");
    result.append(kontextMenueIdIstZustand);
    result.append(", KontextMenueIdSollZustand: ");
    result.append(kontextMenueIdSollZustand);
    result.append(", KontextMenueIdHandSchaltung: ");
    result.append(kontextMenueIdHandSchaltung);
    result.append(", KontextMenueIdSimulation: ");
    result.append(kontextMenueIdSimulation);
    result.append(", KontextMenueIdTrichter: ");
    result.append(kontextMenueIdTrichter);
    result.append(", KontextMenueIdParameter: ");
    result.append(kontextMenueIdParameter);
    result.append(", DoppelKlickIdIstZustand: ");
    result.append(doppelKlickIdIstZustand);
    result.append(", DoppelKlickIdSollZustand: ");
    result.append(doppelKlickIdSollZustand);
    result.append(", DoppelKlickIdHandSchaltung: ");
    result.append(doppelKlickIdHandSchaltung);
    result.append(", DoppelKlickIdSimulation: ");
    result.append(doppelKlickIdSimulation);
    result.append(", DoppelKlickIdTrichter: ");
    result.append(doppelKlickIdTrichter);
    result.append(", DoppelKlickIdParameter: ");
    result.append(doppelKlickIdParameter);
    result.append(", ToolTipIdIstZustand: ");
    result.append(toolTipIdIstZustand);
    result.append(", ToolTipIdSollZustand: ");
    result.append(toolTipIdSollZustand);
    result.append(", ToolTipIdHandSchaltung: ");
    result.append(toolTipIdHandSchaltung);
    result.append(", ToolTipIdSimulation: ");
    result.append(toolTipIdSimulation);
    result.append(", ToolTipIdTrichter: ");
    result.append(toolTipIdTrichter);
    result.append(", ToolTipIdParameter: ");
    result.append(toolTipIdParameter);
    result.append(')');
    return result.toString();
  }

} //VerhaltenDoTypImpl
