package de.bsvrz.buv.plugin.pua.a81.projektInfo;

import java.util.HashMap;
import java.util.Map;

public class ProjektInfoWfdDe extends ProjektInfoUfdAbstrakt
{
  public ProjektInfoWfdDe() {
    super();
    
    _ausgabeTabelleSpalten.add("Wasserfilmdicke [mm]");
    
  }

  protected Map<String, String> specialValuesMap = new HashMap<String, String>() {
    {
      put("unplausibel", "-1");
      put("nicht ermittelbar", "-1");
    }
  };
  
  @Override
  public String getWertKonvertiert(String attribut, String wert, String objekt)
  {
    if (wert != null && _ausgabeTabelleSpalten.get(0).equals(attribut)) {
      try {
        Double value = Double.parseDouble(wert);
        return wert;
      }
      catch (NumberFormatException e) {
        return specialValuesMap.get(wert);
      }
    }
    return null;
  }

}
