package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemeineVerriegelungsMatrix;

import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.PlatformUI;

import de.bsvrz.sba.plugin.parameter.steuerungskern.dialog.AnzeigeElementFigure;
import de.bsvrz.sba.plugin.parameter.steuerungskern.dialog.AnzeigeInhaltAuswahlDialog;
import de.bsvrz.sba.plugin.parameter.steuerungskern.dialog.AnzeigeInhaltTyp;
import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.AnzeigeElementTyp;
import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.ProjektSpezifischeEinstellungen;
import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.ProjektSpezifischeEinstellungen.SBA;
import de.bsvrz.sba.plugin.parameter.steuerungskern.tools.Tools;

public class BildAuswahl 
{
	private AnzeigeElementTyp _anzeigeTyp;
	private Composite _parent;
	private int _style;
	private Label _label;
	
	public BildAuswahl(Composite parent, int style, AnzeigeElementTyp anzeigeTyp)
  {
		_parent = parent;
		
		_style = style;
		
	  _anzeigeTyp = anzeigeTyp;
	  
	  _label = erzeugeLabel();
  }

	public Label erzeugeLabel()
  {
	  Label lb = new Label (_parent, _style);
	  
	  GridData gd = new GridData();
	  gd.horizontalAlignment = GridData.CENTER;
    gd.verticalAlignment = ProjektSpezifischeEinstellungen.getInstance().getAusrichtung();
	  
	  gd.grabExcessHorizontalSpace = true;
	  gd.grabExcessVerticalSpace = true;

	  lb.setLayoutData(gd);
	  lb.addMouseListener( new MouseAdapter()
	  {
	    @Override
	    public void mouseDown( MouseEvent e )
	    {
	    	boolean mitDontCare          = false;
				boolean mitBeliebig          = true;
				boolean mitNegiertenInhalten = false;
				
				Tools.waehleBildInhaltAus(e, mitDontCare, mitBeliebig, mitNegiertenInhalten, _anzeigeTyp);
	    }         
	  });
	  
	  return lb;
  }

	/**
   * Methode liefert label zurck
   * @return label
   */
  public Label getLabel()
  {
  	return _label;
  }
}
