/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.sba.plugin.sonstiges.jobtest;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

public class JobCreator
{
	public static Job createJob()
	{
		Job job = new Job("Testjob"){

			@Override
			protected IStatus run(IProgressMonitor monitor)
			{
				final int ticks = 6000;
	      monitor.beginTask("Doing some work", ticks);
	      try {
	         for (int i = 0; i < ticks; i++) {
	            if (monitor.isCanceled())
	               return Status.CANCEL_STATUS;
//	            monitor.subTask("Processing tick #" + i);
//	            System.out.println("Processing tick #" + i);
	            for(int j = 0; j < 2000000; j++)
	            {
	            	
	            }
	            monitor.worked(1);
	         }
	      } finally {
	         monitor.done();
	      }
	      return Status.OK_STATUS;
			}
			
		};
		
		
		
		return job;
	}
}
