/**
 * <copyright>
 * </copyright>
 *
 * $Id: VerhaltenDoTyp.java,v 1.1 2012/12/21 10:46:03 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung;

import de.bsvrz.buv.plugin.dobj.model.ConfiguratedDoTyp;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Verhalten Do Typ</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdIstZustand <em>Kontext Menue Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdSollZustand <em>Kontext Menue Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdHandSchaltung <em>Kontext Menue Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdSimulation <em>Kontext Menue Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdTrichter <em>Kontext Menue Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdParameter <em>Kontext Menue Id Parameter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdIstZustand <em>Doppel Klick Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdSollZustand <em>Doppel Klick Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdHandSchaltung <em>Doppel Klick Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdSimulation <em>Doppel Klick Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdTrichter <em>Doppel Klick Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdParameter <em>Doppel Klick Id Parameter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdIstZustand <em>Tool Tip Id Ist Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdSollZustand <em>Tool Tip Id Soll Zustand</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdHandSchaltung <em>Tool Tip Id Hand Schaltung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdSimulation <em>Tool Tip Id Simulation</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdTrichter <em>Tool Tip Id Trichter</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdParameter <em>Tool Tip Id Parameter</em>}</li>
 * </ul>
 * </p>
 *
 * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp()
 * @model
 * @generated
 */
public interface VerhaltenDoTyp extends ConfiguratedDoTyp
{
  /**
   * Returns the value of the '<em><b>Kontext Menue Id Ist Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Ist Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Ist Zustand</em>' attribute.
   * @see #setKontextMenueIdIstZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdIstZustand()
   * @model
   * @generated
   */
  String getKontextMenueIdIstZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdIstZustand <em>Kontext Menue Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Ist Zustand</em>' attribute.
   * @see #getKontextMenueIdIstZustand()
   * @generated
   */
  void setKontextMenueIdIstZustand(String value);

  /**
   * Returns the value of the '<em><b>Kontext Menue Id Soll Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Soll Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Soll Zustand</em>' attribute.
   * @see #setKontextMenueIdSollZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdSollZustand()
   * @model
   * @generated
   */
  String getKontextMenueIdSollZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdSollZustand <em>Kontext Menue Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Soll Zustand</em>' attribute.
   * @see #getKontextMenueIdSollZustand()
   * @generated
   */
  void setKontextMenueIdSollZustand(String value);

  /**
   * Returns the value of the '<em><b>Kontext Menue Id Hand Schaltung</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Hand Schaltung</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Hand Schaltung</em>' attribute.
   * @see #setKontextMenueIdHandSchaltung(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdHandSchaltung()
   * @model
   * @generated
   */
  String getKontextMenueIdHandSchaltung();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdHandSchaltung <em>Kontext Menue Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Hand Schaltung</em>' attribute.
   * @see #getKontextMenueIdHandSchaltung()
   * @generated
   */
  void setKontextMenueIdHandSchaltung(String value);

  /**
   * Returns the value of the '<em><b>Kontext Menue Id Simulation</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Simulation</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Simulation</em>' attribute.
   * @see #setKontextMenueIdSimulation(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdSimulation()
   * @model
   * @generated
   */
  String getKontextMenueIdSimulation();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdSimulation <em>Kontext Menue Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Simulation</em>' attribute.
   * @see #getKontextMenueIdSimulation()
   * @generated
   */
  void setKontextMenueIdSimulation(String value);

  /**
   * Returns the value of the '<em><b>Kontext Menue Id Trichter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Trichter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Trichter</em>' attribute.
   * @see #setKontextMenueIdTrichter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdTrichter()
   * @model
   * @generated
   */
  String getKontextMenueIdTrichter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdTrichter <em>Kontext Menue Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Trichter</em>' attribute.
   * @see #getKontextMenueIdTrichter()
   * @generated
   */
  void setKontextMenueIdTrichter(String value);

  /**
   * Returns the value of the '<em><b>Kontext Menue Id Parameter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Kontext Menue Id Parameter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Kontext Menue Id Parameter</em>' attribute.
   * @see #setKontextMenueIdParameter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_KontextMenueIdParameter()
   * @model
   * @generated
   */
  String getKontextMenueIdParameter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getKontextMenueIdParameter <em>Kontext Menue Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Kontext Menue Id Parameter</em>' attribute.
   * @see #getKontextMenueIdParameter()
   * @generated
   */
  void setKontextMenueIdParameter(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Ist Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Ist Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Ist Zustand</em>' attribute.
   * @see #setDoppelKlickIdIstZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdIstZustand()
   * @model
   * @generated
   */
  String getDoppelKlickIdIstZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdIstZustand <em>Doppel Klick Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Ist Zustand</em>' attribute.
   * @see #getDoppelKlickIdIstZustand()
   * @generated
   */
  void setDoppelKlickIdIstZustand(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Soll Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Soll Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Soll Zustand</em>' attribute.
   * @see #setDoppelKlickIdSollZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdSollZustand()
   * @model
   * @generated
   */
  String getDoppelKlickIdSollZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdSollZustand <em>Doppel Klick Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Soll Zustand</em>' attribute.
   * @see #getDoppelKlickIdSollZustand()
   * @generated
   */
  void setDoppelKlickIdSollZustand(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Hand Schaltung</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Hand Schaltung</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Hand Schaltung</em>' attribute.
   * @see #setDoppelKlickIdHandSchaltung(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdHandSchaltung()
   * @model
   * @generated
   */
  String getDoppelKlickIdHandSchaltung();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdHandSchaltung <em>Doppel Klick Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Hand Schaltung</em>' attribute.
   * @see #getDoppelKlickIdHandSchaltung()
   * @generated
   */
  void setDoppelKlickIdHandSchaltung(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Simulation</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Simulation</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Simulation</em>' attribute.
   * @see #setDoppelKlickIdSimulation(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdSimulation()
   * @model
   * @generated
   */
  String getDoppelKlickIdSimulation();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdSimulation <em>Doppel Klick Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Simulation</em>' attribute.
   * @see #getDoppelKlickIdSimulation()
   * @generated
   */
  void setDoppelKlickIdSimulation(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Trichter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Trichter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Trichter</em>' attribute.
   * @see #setDoppelKlickIdTrichter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdTrichter()
   * @model
   * @generated
   */
  String getDoppelKlickIdTrichter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdTrichter <em>Doppel Klick Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Trichter</em>' attribute.
   * @see #getDoppelKlickIdTrichter()
   * @generated
   */
  void setDoppelKlickIdTrichter(String value);

  /**
   * Returns the value of the '<em><b>Doppel Klick Id Parameter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Doppel Klick Id Parameter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Doppel Klick Id Parameter</em>' attribute.
   * @see #setDoppelKlickIdParameter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_DoppelKlickIdParameter()
   * @model
   * @generated
   */
  String getDoppelKlickIdParameter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getDoppelKlickIdParameter <em>Doppel Klick Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Doppel Klick Id Parameter</em>' attribute.
   * @see #getDoppelKlickIdParameter()
   * @generated
   */
  void setDoppelKlickIdParameter(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Ist Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Id Ist Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Ist Zustand</em>' attribute.
   * @see #setToolTipIdIstZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdIstZustand()
   * @model
   * @generated
   */
  String getToolTipIdIstZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdIstZustand <em>Tool Tip Id Ist Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Ist Zustand</em>' attribute.
   * @see #getToolTipIdIstZustand()
   * @generated
   */
  void setToolTipIdIstZustand(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Soll Zustand</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Tip Id Soll Zustand</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Soll Zustand</em>' attribute.
   * @see #setToolTipIdSollZustand(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdSollZustand()
   * @model
   * @generated
   */
  String getToolTipIdSollZustand();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdSollZustand <em>Tool Tip Id Soll Zustand</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Soll Zustand</em>' attribute.
   * @see #getToolTipIdSollZustand()
   * @generated
   */
  void setToolTipIdSollZustand(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Hand Schaltung</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Tip Id Hand Schaltung</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Hand Schaltung</em>' attribute.
   * @see #setToolTipIdHandSchaltung(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdHandSchaltung()
   * @model
   * @generated
   */
  String getToolTipIdHandSchaltung();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdHandSchaltung <em>Tool Tip Id Hand Schaltung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Hand Schaltung</em>' attribute.
   * @see #getToolTipIdHandSchaltung()
   * @generated
   */
  void setToolTipIdHandSchaltung(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Simulation</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Tip Id Simulation</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Simulation</em>' attribute.
   * @see #setToolTipIdSimulation(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdSimulation()
   * @model
   * @generated
   */
  String getToolTipIdSimulation();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdSimulation <em>Tool Tip Id Simulation</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Simulation</em>' attribute.
   * @see #getToolTipIdSimulation()
   * @generated
   */
  void setToolTipIdSimulation(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Trichter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Tip Id Trichter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Trichter</em>' attribute.
   * @see #setToolTipIdTrichter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdTrichter()
   * @model
   * @generated
   */
  String getToolTipIdTrichter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdTrichter <em>Tool Tip Id Trichter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Trichter</em>' attribute.
   * @see #getToolTipIdTrichter()
   * @generated
   */
  void setToolTipIdTrichter(String value);

  /**
   * Returns the value of the '<em><b>Tool Tip Id Parameter</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Tool Tip Id Parameter</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Tool Tip Id Parameter</em>' attribute.
   * @see #setToolTipIdParameter(String)
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#getVerhaltenDoTyp_ToolTipIdParameter()
   * @model
   * @generated
   */
  String getToolTipIdParameter();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp#getToolTipIdParameter <em>Tool Tip Id Parameter</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Tool Tip Id Parameter</em>' attribute.
   * @see #getToolTipIdParameter()
   * @generated
   */
  void setToolTipIdParameter(String value);

} // VerhaltenDoTyp
