package de.bsvrz.buv.plugin.anlagendarstellung.dobj.editparts;

/**
 * Mit Hilfe dieses Listeners wird man von der Klasse {@link Taktgeber} ber die
 * aktuelle Taktflanke informiert.
 * 
 * @author HofmannJ
 * 
 */
public interface ITaktListener
{
	/**
	 * Diese Methode wird vomn {@link ITaktListener} aufgerufen, um die Listener
	 * ber die aktuelle Taktflanke zu informieren.
	 * 
	 * @param taktflanke
	 *          Wenn <code>true</code> liegt die Flanke des Taktes an, bei
	 *          <code>false</code> nicht.
	 */
	public void takt(boolean taktflanke);

//	/**
//	 * Setzt das Flag welches anzeigt, ob man am Taktgeber angemeldet ist oder
//	 * nicht.
//	 * 
//	 * @param angemeldet
//	 *          Wenn <code>true</code> dann sind wir am Taktgeber angemeldet, bei
//	 *          <code>false</code> nicht.
//	 */
//	public void setTaktgeberAngemeldet(boolean angemeldet);
}
