package de.bsvrz.buv.plugin.anlagendarstellung.sonderprogramm;

import java.util.ArrayList;
import java.util.Collection;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Hilfsklasse fr die Baumdarstellung
 * 
 * @author Pittner
 * 
 */
public class Wanderbaustelle
{
  
  public String bezeichnung = null;
  
  private Collection<Programm> programme = null;
  
  public Wanderbaustelle(String bezeichnung, Collection<ResultData> results)
  {
    this.bezeichnung = bezeichnung;
    
    programme = new ArrayList<Programm>();
    for (ResultData rd : results)
    {
      programme.add(new Programm(this, rd));
    }
    
  }
  
  public Collection<Programm> getProgramme()
  {
    return programme;
  }
  
  public void setProgramme(Collection<Programm> programme)
  {
    this.programme = programme;
  }
  
  public String toString()
  {
    return bezeichnung;
  }
}