/**
 * <copyright>
 * </copyright>
 *
 * $Id: SystemobjektePackageImpl.java,v 1.2 2014/04/17 15:51:22 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.impl;

import org.eclipse.birt.chart.model.attribute.AttributePackage;
import org.eclipse.birt.chart.model.component.ComponentPackage;
import org.eclipse.birt.chart.model.data.DataPackage;
import org.eclipse.birt.chart.model.layout.LayoutPackage;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EPackageImpl;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.eclipse.EclipsePackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.eclipse.impl.EclipsePackageImpl;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilPackageImpl;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.SystemobjekteFactory;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.SystemobjektePackage;
import de.bsvrz.sys.funclib.bitctrl.modell.SystemObjekt;
import de.bsvrz.sys.funclib.bitctrl.modell.tmanzeigenglobal.objekte.AnzeigeQuerschnitt;
import de.bsvrz.sys.funclib.bitctrl.modell.tmtmcglobal.attribute.AttTmcRichtung;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.AeusseresStrassenSegment;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.InneresStrassenSegment;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.MessQuerschnittAllgemein;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.StoerfallIndikator;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.Strasse;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.StrassenKnoten;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.StrassenSegment;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.StrassenTeilSegment;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Package</b>. <!--
 * end-user-doc -->
 * 
 * @generated
 */
public class SystemobjektePackageImpl extends EPackageImpl implements
		SystemobjektePackage {
	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVStrasseEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVStoerfallIndikatorEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVStrassenKnotenEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVStrassenSegmentEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVAeusseresStrassenSegmentEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVInneresStrassenSegmentEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVMessQuerschnittAllgemeinEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVAttTmcRichtungEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVSystemObjektEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType davStrassenTeilSegmentEDataType = null;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private EDataType daVAnzeigeQuerschnittEDataType = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the
	 * package package URI value.
	 * <p>
	 * Note: the correct way to create the package is via the static factory
	 * method {@link #init init()}, which also performs initialization of the
	 * package, or returns the registered package, if one already exists. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.SystemobjektePackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private SystemobjektePackageImpl() {
		super(eNS_URI, SystemobjekteFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model,
	 * and for any others upon which it depends.
	 * 
	 * <p>
	 * This method is used to initialize {@link SystemobjektePackage#eINSTANCE}
	 * when that field is accessed. Clients should not invoke it directly.
	 * Instead, they should simply access that field to obtain the package. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static SystemobjektePackage init() {
		if (isInited)
			return (SystemobjektePackage) EPackage.Registry.INSTANCE
					.getEPackage(SystemobjektePackage.eNS_URI);

		// Obtain or create and register package
		SystemobjektePackageImpl theSystemobjektePackage = (SystemobjektePackageImpl) (EPackage.Registry.INSTANCE
				.get(eNS_URI) instanceof SystemobjektePackageImpl ? EPackage.Registry.INSTANCE
				.get(eNS_URI) : new SystemobjektePackageImpl());

		isInited = true;

		// Initialize simple dependencies
		AttributePackage.eINSTANCE.eClass();
		ComponentPackage.eINSTANCE.eClass();
		DataPackage.eINSTANCE.eClass();
		LayoutPackage.eINSTANCE.eClass();

		// Obtain or create and register interdependencies
		StreckenprofilPackageImpl theStreckenprofilPackage = (StreckenprofilPackageImpl) (EPackage.Registry.INSTANCE
				.getEPackage(StreckenprofilPackage.eNS_URI) instanceof StreckenprofilPackageImpl ? EPackage.Registry.INSTANCE
				.getEPackage(StreckenprofilPackage.eNS_URI)
				: StreckenprofilPackage.eINSTANCE);
		EclipsePackageImpl theEclipsePackage = (EclipsePackageImpl) (EPackage.Registry.INSTANCE
				.getEPackage(EclipsePackage.eNS_URI) instanceof EclipsePackageImpl ? EPackage.Registry.INSTANCE
				.getEPackage(EclipsePackage.eNS_URI) : EclipsePackage.eINSTANCE);

		// Create package meta-data objects
		theSystemobjektePackage.createPackageContents();
		theStreckenprofilPackage.createPackageContents();
		theEclipsePackage.createPackageContents();

		// Initialize created meta-data
		theSystemobjektePackage.initializePackageContents();
		theStreckenprofilPackage.initializePackageContents();
		theEclipsePackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theSystemobjektePackage.freeze();

		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(SystemobjektePackage.eNS_URI,
				theSystemobjektePackage);
		return theSystemobjektePackage;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVStrasse() {
		return daVStrasseEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVStoerfallIndikator() {
		return daVStoerfallIndikatorEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVStrassenKnoten() {
		return daVStrassenKnotenEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVStrassenSegment() {
		return daVStrassenSegmentEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVAeusseresStrassenSegment() {
		return daVAeusseresStrassenSegmentEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVInneresStrassenSegment() {
		return daVInneresStrassenSegmentEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVMessQuerschnittAllgemein() {
		return daVMessQuerschnittAllgemeinEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVAttTmcRichtung() {
		return daVAttTmcRichtungEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVSystemObjekt() {
		return daVSystemObjektEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDavStrassenTeilSegment() {
		return davStrassenTeilSegmentEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public EDataType getDaVAnzeigeQuerschnitt() {
		return daVAnzeigeQuerschnittEDataType;
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public SystemobjekteFactory getSystemobjekteFactory() {
		return (SystemobjekteFactory) getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package. This method is guarded to
	 * have no affect on any invocation but its first. <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated)
			return;
		isCreated = true;

		// Create data types
		daVStrasseEDataType = createEDataType(DA_VSTRASSE);
		daVStoerfallIndikatorEDataType = createEDataType(DA_VSTOERFALL_INDIKATOR);
		daVStrassenKnotenEDataType = createEDataType(DA_VSTRASSEN_KNOTEN);
		daVStrassenSegmentEDataType = createEDataType(DA_VSTRASSEN_SEGMENT);
		daVAeusseresStrassenSegmentEDataType = createEDataType(DA_VAEUSSERES_STRASSEN_SEGMENT);
		daVInneresStrassenSegmentEDataType = createEDataType(DA_VINNERES_STRASSEN_SEGMENT);
		daVMessQuerschnittAllgemeinEDataType = createEDataType(DA_VMESS_QUERSCHNITT_ALLGEMEIN);
		daVAttTmcRichtungEDataType = createEDataType(DA_VATT_TMC_RICHTUNG);
		daVSystemObjektEDataType = createEDataType(DA_VSYSTEM_OBJEKT);
		davStrassenTeilSegmentEDataType = createEDataType(DAV_STRASSEN_TEIL_SEGMENT);
		daVAnzeigeQuerschnittEDataType = createEDataType(DA_VANZEIGE_QUERSCHNITT);
	}

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model. This
	 * method is guarded to have no affect on any invocation but its first. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized)
			return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Initialize data types
		initEDataType(daVStrasseEDataType, Strasse.class, "DaVStrasse",
				IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVStoerfallIndikatorEDataType, StoerfallIndikator.class,
				"DaVStoerfallIndikator", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVStrassenKnotenEDataType, StrassenKnoten.class,
				"DaVStrassenKnoten", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVStrassenSegmentEDataType, StrassenSegment.class,
				"DaVStrassenSegment", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVAeusseresStrassenSegmentEDataType,
				AeusseresStrassenSegment.class, "DaVAeusseresStrassenSegment",
				IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVInneresStrassenSegmentEDataType,
				InneresStrassenSegment.class, "DaVInneresStrassenSegment",
				IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVMessQuerschnittAllgemeinEDataType,
				MessQuerschnittAllgemein.class, "DaVMessQuerschnittAllgemein",
				IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVAttTmcRichtungEDataType, AttTmcRichtung.class,
				"DaVAttTmcRichtung", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVSystemObjektEDataType, SystemObjekt.class,
				"DaVSystemObjekt", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
		initEDataType(davStrassenTeilSegmentEDataType,
				StrassenTeilSegment.class, "DavStrassenTeilSegment",
				IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(daVAnzeigeQuerschnittEDataType, AnzeigeQuerschnitt.class,
				"DaVAnzeigeQuerschnitt", IS_SERIALIZABLE,
				!IS_GENERATED_INSTANCE_CLASS);
	}

} // SystemobjektePackageImpl
