package de.bsvrz.sba.plugin.actions.parameter;

/**
 * Speichert einige DefaultIds, welche die IDs von {@link IParameter}n
 * beschreiben.
 * 
 * @author HofmannJ
 * 
 */
public class DefaultParameterIds
{
	/**
	 * SystemObjekt-PIDs, Kommasepariert
	 */
	public static final String pidSystemObjects = "pidsSystemObjects";

	/**
	 * Pid der Attributgruppe
	 */
	public static final String pidAtg = "pidAtg";

	/**
	 * Pid des Aspekts
	 */
	public static final String pidAsp = "pidAsp";

	/**
	 * Pid des Aspekts zum Empfangen
	 */
	public static final String pidAspEmpfang = "pidAspEmpfang";

	/**
	 * Pid des Aspekts zum Senden
	 */
	public static final String pidAspSenden = "pidAspSenden";

	/**
	 * Simulationsvariante
	 */
	public static final String simVar = "simVar";
	
	/**
	 * Editierbar?
	 */
	public static final String editable = "editable";
	
}
