/*  Copyright (C) 2004 by Friederich Kupzog Elektronik & Software
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
    Author: Friederich Kupzog  
    fkmk@kupzog.de
    www.kupzog.de/fkmk
*/
 
 
package de.kupzog.ktools.kprint.boxes;

import org.eclipse.swt.graphics.Point;

/**
 * forces a page break at the current position in
 * the tree of printable elements
 * @author Friederich Kupzog
 */
public class PPageBreak extends PBox {

	public PPageBreak(PContainer parent) {
		super(parent);
	}
	
	/* 
	 * overridden from superclass
	 */
	protected int getWidth() {
		return 0;
	}
	
	/* 
	 * overridden from superclass
	 */
	protected int layoutHowMuchWouldYouOccupyOf(Point spaceLeft, int page) {
		return -1;
	}
	
	/* 
	 * overridden from superclass
	 */
	public void draw(int page, Point originOffset) {
	}


}
